GNU bug report logs - #33587
[PROPOSED] Default to disabling ImageMagick

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Paul Eggert <eggert@HIDDEN>; Keywords: security; dated Sun, 2 Dec 2018 18:10:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 33587 <at> debbugs.gnu.org:


Received: (at 33587) by debbugs.gnu.org; 10 Jan 2019 23:40:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 10 18:40:27 2019
Received: from localhost ([127.0.0.1]:54393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ghjw3-0006eU-G7
	for submit <at> debbugs.gnu.org; Thu, 10 Jan 2019 18:40:27 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:54772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1ghjw1-0006eH-Ok
 for 33587 <at> debbugs.gnu.org; Thu, 10 Jan 2019 18:40:26 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id D419A160FD8;
 Thu, 10 Jan 2019 15:40:19 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id CYBUHd3nA6Nt; Thu, 10 Jan 2019 15:40:19 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 1E410160FDA;
 Thu, 10 Jan 2019 15:40:19 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 3H3mH7hDRR-d; Thu, 10 Jan 2019 15:40:19 -0800 (PST)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 0017F160E57;
 Thu, 10 Jan 2019 15:40:18 -0800 (PST)
Subject: Re: [PATCH v2] Add native image scaling (bug#33587)
To: Alan Third <alan@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <8336qb3upt.fsf@HIDDEN>
 <20190102211241.GA53734@HIDDEN> <837efk335e.fsf@HIDDEN>
 <20190104190914.GA61852@HIDDEN> <8336q82myq.fsf@HIDDEN>
 <20190104224558.GA63257@HIDDEN>
 <20190110194250.GA22478@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=eggert@HIDDEN; prefer-encrypt=mutual; keydata=
 xsFNBEyAcmQBEADAAyH2xoTu7ppG5D3a8FMZEon74dCvc4+q1XA2J2tBy2pwaTqfhpxxdGA9
 Jj50UJ3PD4bSUEgN8tLZ0san47l5XTAFLi2456ciSl5m8sKaHlGdt9XmAAtmXqeZVIYX/UFS
 96fDzf4xhEmm/y7LbYEPQdUdxu47xA5KhTYp5bltF3WYDz1Ygd7gx07Auwp7iw7eNvnoDTAl
 KAl8KYDZzbDNCQGEbpY3efZIvPdeI+FWQN4W+kghy+P6au6PrIIhYraeua7XDdb2LS1en3Ss
 mE3QjqfRqI/A2ue8JMwsvXe/WK38Ezs6x74iTaqI3AFH6ilAhDqpMnd/msSESNFt76DiO1ZK
 QMr9amVPknjfPmJISqdhgB1DlEdw34sROf6V8mZw0xfqT6PKE46LcFefzs0kbg4GORf8vjG2
 Sf1tk5eU8MBiyN/bZ03bKNjNYMpODDQQwuP84kYLkX2wBxxMAhBxwbDVZudzxDZJ1C2VXujC
 OJVxq2kljBM9ETYuUGqd75AW2LXrLw6+MuIsHFAYAgRr7+KcwDgBAfwhPBYX34nSSiHlmLC+
 KaHLeCLF5ZI2vKm3HEeCTtlOg7xZEONgwzL+fdKo+D6SoC8RRxJKs8a3sVfI4t6CnrQzvJbB
 n6gxdgCu5i29J1QCYrCYvql2UyFPAK+do99/1jOXT4m2836j1wARAQABzSBQYXVsIEVnZ2Vy
 dCA8ZWdnZXJ0QGNzLnVjbGEuZWR1PsLBfgQTAQIAKAUCTIByZAIbAwUJEswDAAYLCQgHAwIG
 FQgCCQoLBBYCAwECHgECF4AACgkQ7ZfpDmKqfjRRGw/+Ij03dhYfYl/gXVRiuzV1gGrbHk+t
 nfrI/C7fAeoFzQ5tVgVinShaPkZo0HTPf18x6IDEdAiO8Mqo1yp0CtHmzGMCJ50o4Grgfjlr
 6g/+vtEOKbhleszN2XpJvpwM2QgGvn/laTLUu8PH9aRWTs7qJJZKKKAb4sxYc92FehPu6FOD
 0dDiyhlDAq4lOV2mdBpzQbiojoZzQLMQwjpgCTK2572eK9EOEQySUThXrSIz6ASenp4NYTFH
 s9tuJQvXk9gZDdPSl3bp+47dGxlxEWLpBIM7zIONw4ks4azgT8nvDZxA5IZHtvqBlJLBObYY
 0Le61Wp0y3TlBDh2qdK8eYL426W4scEMSuig5gb8OAtQiBW6k2sGUxxeiv8ovWu8YAZgKJfu
 oWI+uRnMEddruY8JsoM54KaKvZikkKs2bg1ndtLVzHpJ6qFZC7QVjeHUh6/BmgvdjWPZYFTt
 N+KA9CWX3GQKKgN3uu988yznD7LnB98T4EUH1HA/GnfBqMV1gpzTvPc4qVQinCmIkEFp83zl
 +G5fCjJJ3W7ivzCnYo4KhKLpFUm97okTKR2LW3xZzEW4cLSWO387MTK3CzDOx5qe6s4a91Zu
 ZM/j/TQdTLDaqNn83kA4Hq48UHXYxcIh+Nd8k/3w6lFuoK0wrOFiywjLx+0ur5jmmbecBGHc
 1xdhAFHOwU0ETIByZAEQAKaF678T9wyH4wjTrV1Pz3cDEoSnV/0ZUrOT37p1dcGyj/IXq1x6
 70HRVahAmk0sZpYc25PF9D5GPYHFWlNjuPU96rDndXB3hedmBRhLdC4bAXjI4DV+bmdVe+q/
 IMnlZRaVlm9EiMCVAR6w13sReu7qXkW9r3RwY2AzXskp/tAe4BRKr1Zmbvi2nbnQ6epEC42r
 Rbx0B1EhjbIQZ5JHGk24iPT7LdBgnNmos5wYjzwNlkMQD5T0Ydzhk7J+UxwA5m46mOhRDC2r
 FV/A0gm5TLy8DXjv/Esc4gYnYai6SQqnUEVh5LuV8YCJBnijs+Tiw71x1icmn6xGI45EugJO
 gec+rLypYgpVp4x0HI5T88qBRYCkxH3Kg8Qo+EWNA9A4LRQ9DX8njona0gf0s03tocK8kBN6
 6UoqqPtHBnc4eMgBymCflK12eKfd2YYxnyg9cZazWA5VslvTxpm76hbg5oiAEH/Vg/8MxHyA
 nPhfrgwyPrmJEcVBafdspJnYQxBYNco2LFPIhlOvWh8r4at+s+M3Lb26oUTczlgdW1Sf3SDA
 77BMRnF0FQyE+7AzV79MBN4ykiqaezQxtaF1Fy/tvkhffSo8u+dwG0EgJh+te38gTcISVr0G
 IPplLz6YhjrbHrPRF1CN5UuL9DBGjxuN35RLNVEfta6RUFlR6NctTjvrABEBAAHCwWUEGAEC
 AA8FAkyAcmQCGwwFCRLMAwAACgkQ7ZfpDmKqfjSrHA/+KzAKvTxRhA9MWNLxIyJ7S5uJ16gs
 T3oCjZrBKGEhKMOGX4O0GA6VOEryO7QRCCYah3oxSG38IAnNeiwJXgU9Bzkk85UGbPEd7HGF
 /VSeHCQwWou6jqUDTSDvn9YhNTdG0KXPM74aC+xr2Zow1O2mhXihgWKD0Dw+0LYPnUOsQ0KO
 FxHXXYHmRrS1OZPU59BLvc+TRhIhafSHKLwbXK+6ckkxBx6h8z5ccpG0Qs4bFhdFYnFrEieD
 LoGmnE2YLhdV6swJ9VNCS6pLiEohT3fm7aXm15tZOIyzMZhHRSAPblXxQ0ZSWjq8oRrcYNFx
 c4W1URpAkBCOYJoXvQfD5L3lqAl8TCqDUzYxhH/tJhbDdHrqHH767jaDaTB1+Talp/2AMKwc
 XNOdiklGxbmHVG6YGl6g8Lrbsu9NZEI4yLlHzuikthJWgz+3vZhVGyNlt+HNIoF6CjDL2omu
 5cEq4RDHM44QqPk6l7O0pUvN1mT4B+S1b08RKpqm/ff015E37HNV/piIvJlxGAYz8PSfuGCB
 1thMYqlmgdhd9/BabGFbGGYHA6U4/T5zqU+f6xHy1SsAQZ1MSKlLwekBIT+4/cLRGqCHjnV0
 q5H/T6a7t5mPkbzSrOLSo4puj+IToNjYyYIDBWzhlA19avOa+rvUjmHtD3sFN7cXWtkGoi8b
 uNcby4U=
Organization: UCLA Computer Science Department
Message-ID: <cda98d78-268c-2464-36d3-cc03a4db97ef@HIDDEN>
Date: Thu, 10 Jan 2019 15:40:18 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.4.0
MIME-Version: 1.0
In-Reply-To: <20190110194250.GA22478@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33587
Cc: 33587 <at> debbugs.gnu.org, emacs-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 1/10/19 11:42 AM, Alan Third wrote:
> I=E2=80=99ve pushed this to master as=E2=80=90is. If nobody else picks =
it up I=E2=80=99ll see
> if I can work out an ImageMagick fall=E2=80=90back system.

Thanks for doing all that. I tweaked the indentation a bit to fit in 80=20
columns etc.

At some point soon I plan to install the patch in Bug#33587#5, which=20
would disable ImageMagick by default when configuring Emacs (you can=20
still enable it if you like). On my Fedora 29 desktop this patch=20
decouples Emacs from libMagickCore, libMagickWand, libfftw3 (the FFT=20
library), libgomp (OpenMP), libtldl (libtool), and libXt (X toolkit),=20
which shaves 5-10 ms off the Emacs startup time in my little experiments.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33587; Package emacs. Full text available.

Message received at 33587 <at> debbugs.gnu.org:


Received: (at 33587) by debbugs.gnu.org; 10 Dec 2018 17:49:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 10 12:49:46 2018
Received: from localhost ([127.0.0.1]:42122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWPgf-00038T-QQ
	for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 12:49:46 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:40080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1gWPgd-00038E-Q4
 for 33587 <at> debbugs.gnu.org; Mon, 10 Dec 2018 12:49:44 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 17FE416072C;
 Mon, 10 Dec 2018 09:49:37 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 2rhU06nYzTnA; Mon, 10 Dec 2018 09:49:36 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 2182B160768;
 Mon, 10 Dec 2018 09:49:36 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id MpN5OIt5xFnQ; Mon, 10 Dec 2018 09:49:36 -0800 (PST)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 058EF160765;
 Mon, 10 Dec 2018 09:49:36 -0800 (PST)
To: 33587 <at> debbugs.gnu.org
From: Paul Eggert <eggert@HIDDEN>
Subject: Re: [PROPOSED] Default to disabling ImageMagick
Openpgp: preference=signencrypt
Autocrypt: addr=eggert@HIDDEN; prefer-encrypt=mutual; keydata=
 xsFNBEyAcmQBEADAAyH2xoTu7ppG5D3a8FMZEon74dCvc4+q1XA2J2tBy2pwaTqfhpxxdGA9
 Jj50UJ3PD4bSUEgN8tLZ0san47l5XTAFLi2456ciSl5m8sKaHlGdt9XmAAtmXqeZVIYX/UFS
 96fDzf4xhEmm/y7LbYEPQdUdxu47xA5KhTYp5bltF3WYDz1Ygd7gx07Auwp7iw7eNvnoDTAl
 KAl8KYDZzbDNCQGEbpY3efZIvPdeI+FWQN4W+kghy+P6au6PrIIhYraeua7XDdb2LS1en3Ss
 mE3QjqfRqI/A2ue8JMwsvXe/WK38Ezs6x74iTaqI3AFH6ilAhDqpMnd/msSESNFt76DiO1ZK
 QMr9amVPknjfPmJISqdhgB1DlEdw34sROf6V8mZw0xfqT6PKE46LcFefzs0kbg4GORf8vjG2
 Sf1tk5eU8MBiyN/bZ03bKNjNYMpODDQQwuP84kYLkX2wBxxMAhBxwbDVZudzxDZJ1C2VXujC
 OJVxq2kljBM9ETYuUGqd75AW2LXrLw6+MuIsHFAYAgRr7+KcwDgBAfwhPBYX34nSSiHlmLC+
 KaHLeCLF5ZI2vKm3HEeCTtlOg7xZEONgwzL+fdKo+D6SoC8RRxJKs8a3sVfI4t6CnrQzvJbB
 n6gxdgCu5i29J1QCYrCYvql2UyFPAK+do99/1jOXT4m2836j1wARAQABzSBQYXVsIEVnZ2Vy
 dCA8ZWdnZXJ0QGNzLnVjbGEuZWR1PsLBfgQTAQIAKAUCTIByZAIbAwUJEswDAAYLCQgHAwIG
 FQgCCQoLBBYCAwECHgECF4AACgkQ7ZfpDmKqfjRRGw/+Ij03dhYfYl/gXVRiuzV1gGrbHk+t
 nfrI/C7fAeoFzQ5tVgVinShaPkZo0HTPf18x6IDEdAiO8Mqo1yp0CtHmzGMCJ50o4Grgfjlr
 6g/+vtEOKbhleszN2XpJvpwM2QgGvn/laTLUu8PH9aRWTs7qJJZKKKAb4sxYc92FehPu6FOD
 0dDiyhlDAq4lOV2mdBpzQbiojoZzQLMQwjpgCTK2572eK9EOEQySUThXrSIz6ASenp4NYTFH
 s9tuJQvXk9gZDdPSl3bp+47dGxlxEWLpBIM7zIONw4ks4azgT8nvDZxA5IZHtvqBlJLBObYY
 0Le61Wp0y3TlBDh2qdK8eYL426W4scEMSuig5gb8OAtQiBW6k2sGUxxeiv8ovWu8YAZgKJfu
 oWI+uRnMEddruY8JsoM54KaKvZikkKs2bg1ndtLVzHpJ6qFZC7QVjeHUh6/BmgvdjWPZYFTt
 N+KA9CWX3GQKKgN3uu988yznD7LnB98T4EUH1HA/GnfBqMV1gpzTvPc4qVQinCmIkEFp83zl
 +G5fCjJJ3W7ivzCnYo4KhKLpFUm97okTKR2LW3xZzEW4cLSWO387MTK3CzDOx5qe6s4a91Zu
 ZM/j/TQdTLDaqNn83kA4Hq48UHXYxcIh+Nd8k/3w6lFuoK0wrOFiywjLx+0ur5jmmbecBGHc
 1xdhAFHOwU0ETIByZAEQAKaF678T9wyH4wjTrV1Pz3cDEoSnV/0ZUrOT37p1dcGyj/IXq1x6
 70HRVahAmk0sZpYc25PF9D5GPYHFWlNjuPU96rDndXB3hedmBRhLdC4bAXjI4DV+bmdVe+q/
 IMnlZRaVlm9EiMCVAR6w13sReu7qXkW9r3RwY2AzXskp/tAe4BRKr1Zmbvi2nbnQ6epEC42r
 Rbx0B1EhjbIQZ5JHGk24iPT7LdBgnNmos5wYjzwNlkMQD5T0Ydzhk7J+UxwA5m46mOhRDC2r
 FV/A0gm5TLy8DXjv/Esc4gYnYai6SQqnUEVh5LuV8YCJBnijs+Tiw71x1icmn6xGI45EugJO
 gec+rLypYgpVp4x0HI5T88qBRYCkxH3Kg8Qo+EWNA9A4LRQ9DX8njona0gf0s03tocK8kBN6
 6UoqqPtHBnc4eMgBymCflK12eKfd2YYxnyg9cZazWA5VslvTxpm76hbg5oiAEH/Vg/8MxHyA
 nPhfrgwyPrmJEcVBafdspJnYQxBYNco2LFPIhlOvWh8r4at+s+M3Lb26oUTczlgdW1Sf3SDA
 77BMRnF0FQyE+7AzV79MBN4ykiqaezQxtaF1Fy/tvkhffSo8u+dwG0EgJh+te38gTcISVr0G
 IPplLz6YhjrbHrPRF1CN5UuL9DBGjxuN35RLNVEfta6RUFlR6NctTjvrABEBAAHCwWUEGAEC
 AA8FAkyAcmQCGwwFCRLMAwAACgkQ7ZfpDmKqfjSrHA/+KzAKvTxRhA9MWNLxIyJ7S5uJ16gs
 T3oCjZrBKGEhKMOGX4O0GA6VOEryO7QRCCYah3oxSG38IAnNeiwJXgU9Bzkk85UGbPEd7HGF
 /VSeHCQwWou6jqUDTSDvn9YhNTdG0KXPM74aC+xr2Zow1O2mhXihgWKD0Dw+0LYPnUOsQ0KO
 FxHXXYHmRrS1OZPU59BLvc+TRhIhafSHKLwbXK+6ckkxBx6h8z5ccpG0Qs4bFhdFYnFrEieD
 LoGmnE2YLhdV6swJ9VNCS6pLiEohT3fm7aXm15tZOIyzMZhHRSAPblXxQ0ZSWjq8oRrcYNFx
 c4W1URpAkBCOYJoXvQfD5L3lqAl8TCqDUzYxhH/tJhbDdHrqHH767jaDaTB1+Talp/2AMKwc
 XNOdiklGxbmHVG6YGl6g8Lrbsu9NZEI4yLlHzuikthJWgz+3vZhVGyNlt+HNIoF6CjDL2omu
 5cEq4RDHM44QqPk6l7O0pUvN1mT4B+S1b08RKpqm/ff015E37HNV/piIvJlxGAYz8PSfuGCB
 1thMYqlmgdhd9/BabGFbGGYHA6U4/T5zqU+f6xHy1SsAQZ1MSKlLwekBIT+4/cLRGqCHjnV0
 q5H/T6a7t5mPkbzSrOLSo4puj+IToNjYyYIDBWzhlA19avOa+rvUjmHtD3sFN7cXWtkGoi8b
 uNcby4U=
Organization: UCLA Computer Science Department
Message-ID: <8219e81b-3507-484a-174e-0f25f098ef16@HIDDEN>
Date: Mon, 10 Dec 2018 09:49:32 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.3.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33587
Cc: Glenn Morris <rgm@HIDDEN>, Alan Third <alan@HIDDEN>,
 David Engster <david@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Elias M=C3=A5rtenson wrote in=20
<http://lists.gnu.org/r/emacs-devel/2018-12/msg00186.html> that image=20
scaling via Xrender is surprisingly simple. So perhaps an X11 expert=20
could investigate doing that for the X Window System, when ImageMagick=20
scaling is not available or not used. My impression is that the Xrender=20
extension (introduced in 2000) is reasonably popular among X11 servers=20
these days.

Scaling on the server could also be faster (e.g., with hardware=20
acceleration) and/or more reliable, so quite possibly it'd be better to=20
use Xrender to scale even if ImageMagick is available.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33587; Package emacs. Full text available.

Message received at 33587 <at> debbugs.gnu.org:


Received: (at 33587) by debbugs.gnu.org; 4 Dec 2018 18:16:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 04 13:16:34 2018
Received: from localhost ([127.0.0.1]:60931 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUFFJ-0005pw-UU
	for submit <at> debbugs.gnu.org; Tue, 04 Dec 2018 13:16:34 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58937)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1gUFFI-0005pf-Od
 for 33587 <at> debbugs.gnu.org; Tue, 04 Dec 2018 13:16:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1gUFFC-00022d-OM
 for 33587 <at> debbugs.gnu.org; Tue, 04 Dec 2018 13:16:27 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60545)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1gUFF1-0001vS-LH; Tue, 04 Dec 2018 13:16:15 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1gUFF1-00024l-I1; Tue, 04 Dec 2018 13:16:15 -0500
From: Glenn Morris <rgm@HIDDEN>
To: David Engster <deng@HIDDEN>
Subject: Re: bug#33587: [PROPOSED] Default to disabling ImageMagick
References: <20181202180919.32270-1-eggert@HIDDEN>
 <4qo9a2xwb6.fsf@HIDDEN> <87tvjtkzgg.fsf@randomsample>
 <ds36rdjkfz.fsf@HIDDEN>
X-Spook: Car bomb pre-emptive Pirates Agriculture Calderon
X-Ran: _I1":}_HEEX6L?DBqL0arDv"CN1L@$L'^6YKkIC9@y^5ze6;(#@~5]Jg`n<D7Fw'F,JDuB
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 04 Dec 2018 13:16:15 -0500
In-Reply-To: <ds36rdjkfz.fsf@HIDDEN> (Glenn Morris's message of
 "Tue, 04 Dec 2018 12:00:48 -0500")
Message-ID: <9ky395jgy8.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33587
Cc: Paul Eggert <eggert@HIDDEN>, 33587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)


PS GraphicsMagick allegedly has fewer security issues than ImageMagick,
but https://debbugs.gnu.org/14358 saw no interest.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33587; Package emacs. Full text available.

Message received at 33587 <at> debbugs.gnu.org:


Received: (at 33587) by debbugs.gnu.org; 4 Dec 2018 17:39:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 04 12:39:04 2018
Received: from localhost ([127.0.0.1]:60918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUEf2-0004mr-Ks
	for submit <at> debbugs.gnu.org; Tue, 04 Dec 2018 12:39:04 -0500
Received: from randomsample.de ([5.45.97.173]:49484)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <david@HIDDEN>) id 1gUEez-0004mQ-Dd
 for 33587 <at> debbugs.gnu.org; Tue, 04 Dec 2018 12:39:03 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=randomsample.de; s=a; 
 h=Content-Type:MIME-Version:Message-ID:Date:References:In-Reply-To:Subject:Cc:To:From;
 bh=5sLKWxy2/LY/BNMtUZ30y4fGwxkIqdyYGBDnjgUE//o=; 
 b=NrS5iOKbmMocFTafMHzMlpzva9/uH/aewtixBjp9dFJEv45rdIFSEsP0vGWpWElTTQZ0DHd9y/AplwtP2CKTETlvndmVRIxis3t+iqs03456AbkN3h0vncTzzqI4vB+i;
Received: from ip4d1684c5.dynamic.kabel-deutschland.de ([77.22.132.197]
 helo=void)
 by randomsample.de with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.80) (envelope-from <david@HIDDEN>)
 id 1gUEey-00081h-39; Tue, 04 Dec 2018 18:39:00 +0100
From: David Engster <david@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#33587: [PROPOSED] Default to disabling ImageMagick
In-Reply-To: <ds36rdjkfz.fsf@HIDDEN> (Glenn Morris's message of
 "Tue, 04 Dec 2018 12:00:48 -0500")
References: <20181202180919.32270-1-eggert@HIDDEN>
 <4qo9a2xwb6.fsf@HIDDEN> <87tvjtkzgg.fsf@randomsample>
 <ds36rdjkfz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Tue, 04 Dec 2018 18:38:59 +0100
Message-ID: <87pnuhkx8s.fsf@randomsample>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33587
Cc: Paul Eggert <eggert@HIDDEN>, 33587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Glenn Morris writes:
> Note that Red Hat Enterprise Linux 8 _will_ drop ImageMagick completely
> (though it will probably be available from an add-on repository),
> presumably because they don't feel able to keep up with the security
> issues. That's what prompted me to first raise this in
>
> http://lists.gnu.org/r/emacs-devel/2018-12/msg00036.html

RHEL can do this because they're supporting way less packages than other
distributions. As you know, enterprise customers have other priorities
than home desktop users. Debian cannot remove Imagemagick because many
other packages depend on it, at least currently.

>> If for instance Debian has to take care of Imagemagick security issues
>> anyway, why shouldn't Emacs link to it?
>
> (For reference:
> https://security-tracker.debian.org/tracker/source-package/imagemagick )
>
> Because one can never guarantee all security issues are fixed, and if a
> project has a history of having a lot of them, it may be considered
> likely to be insecure. Also there are the various Emacs crash reports
> due to ImageMagick.

I understand the reasoning. To me, image scaling is essential for what
I'm doing with Emacs, so I'm willing to take that risk. But that's just
one data point.

Don't get me wrong: I don't object to disable it by default. Let's see
what happens. Maybe distributions will then disable it as well, but they
have their own ways to see how changes like these affect users (by
having an 'unstable' tree or whatever).

-David




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33587; Package emacs. Full text available.

Message received at 33587 <at> debbugs.gnu.org:


Received: (at 33587) by debbugs.gnu.org; 4 Dec 2018 17:01:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 04 12:01:16 2018
Received: from localhost ([127.0.0.1]:60872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUE4Q-0003j1-D1
	for submit <at> debbugs.gnu.org; Tue, 04 Dec 2018 12:01:14 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34560)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1gUE4O-0003in-2W
 for 33587 <at> debbugs.gnu.org; Tue, 04 Dec 2018 12:01:12 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1gUE4H-00072F-LP
 for 33587 <at> debbugs.gnu.org; Tue, 04 Dec 2018 12:01:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58499)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1gUE41-0006ug-TC; Tue, 04 Dec 2018 12:00:49 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1gUE40-0001Cx-F3; Tue, 04 Dec 2018 12:00:48 -0500
From: Glenn Morris <rgm@HIDDEN>
To: David Engster <deng@HIDDEN>
Subject: Re: bug#33587: [PROPOSED] Default to disabling ImageMagick
References: <20181202180919.32270-1-eggert@HIDDEN>
 <4qo9a2xwb6.fsf@HIDDEN> <87tvjtkzgg.fsf@randomsample>
X-Spook: doctrine Sarin Semtex Waco, Texas Albanian Irish
X-Ran: %5(Q;V`GpJvP[*>QLW*/c-0'<k!{'&0$OuFWVJV1N3a<Un3CO\8gYi(rA5QhkKQ.lB[YLq
X-Hue: brightblack
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 04 Dec 2018 12:00:48 -0500
In-Reply-To: <87tvjtkzgg.fsf@randomsample> (David Engster's message of "Tue,
 04 Dec 2018 17:51:11 +0100")
Message-ID: <ds36rdjkfz.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33587
Cc: Paul Eggert <eggert@HIDDEN>, 33587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

David Engster wrote:

> Question is: will disabling Imagemagick by default also have an impact
> on how Emacs is shipped in distributions?

I don't know. It depends whether they go with the default configure
options or not.

> I don't think so, at least as long as they don't drop Imagemagick
> completely.

Note that Red Hat Enterprise Linux 8 _will_ drop ImageMagick completely
(though it will probably be available from an add-on repository),
presumably because they don't feel able to keep up with the security
issues. That's what prompted me to first raise this in

http://lists.gnu.org/r/emacs-devel/2018-12/msg00036.html

> If for instance Debian has to take care of Imagemagick security issues
> anyway, why shouldn't Emacs link to it?

(For reference:
https://security-tracker.debian.org/tracker/source-package/imagemagick )

Because one can never guarantee all security issues are fixed, and if a
project has a history of having a lot of them, it may be considered
likely to be insecure. Also there are the various Emacs crash reports
due to ImageMagick.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33587; Package emacs. Full text available.

Message received at 33587 <at> debbugs.gnu.org:


Received: (at 33587) by debbugs.gnu.org; 4 Dec 2018 16:51:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 04 11:51:20 2018
Received: from localhost ([127.0.0.1]:60868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUDuq-0003Qy-EK
	for submit <at> debbugs.gnu.org; Tue, 04 Dec 2018 11:51:20 -0500
Received: from randomsample.de ([5.45.97.173]:49008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <deng@HIDDEN>) id 1gUDup-0003Qo-CW
 for 33587 <at> debbugs.gnu.org; Tue, 04 Dec 2018 11:51:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=randomsample.de; s=a; 
 h=Content-Type:MIME-Version:Message-ID:Date:References:In-Reply-To:Subject:Cc:To:From;
 bh=y4a5zB5YdwgA+3AJrhzcc5VGrVUiPxo9bL604rwR9zo=; 
 b=lZV0dZ/snF4z0aSqCR22cJj64D8FT6eEMYgY4tmH7gGBsUXnPmyVSAd7pCEfzMRJ8ZNrH2MtbsJQNTLjIOVin5F2snnWEnd3UEqfud4OwG/IuSUNgs3YcNWrjMlIlaAd;
Received: from ip4d1684c5.dynamic.kabel-deutschland.de ([77.22.132.197]
 helo=void)
 by randomsample.de with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.80) (envelope-from <deng@HIDDEN>)
 id 1gUDun-0007dn-Aj; Tue, 04 Dec 2018 17:51:17 +0100
From: David Engster <deng@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#33587: [PROPOSED] Default to disabling ImageMagick
In-Reply-To: <4qo9a2xwb6.fsf@HIDDEN> (Glenn Morris's message of
 "Mon, 03 Dec 2018 14:08:29 -0500")
References: <20181202180919.32270-1-eggert@HIDDEN>
 <4qo9a2xwb6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
Date: Tue, 04 Dec 2018 17:51:11 +0100
Message-ID: <87tvjtkzgg.fsf@randomsample>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33587
Cc: Paul Eggert <eggert@HIDDEN>, 33587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Glenn Morris writes:
> I'm a bit surprised by the lack of objections so far, though it's early
> days yet of course. Maybe it's an experiment that needs to be tried out
> for the implications to be seen.

Well, I do depend on image scaling, but I (like many others here, I
guess) build Emacs myself, so defaults don't matter much to me.

Question is: will disabling Imagemagick by default also have an impact
on how Emacs is shipped in distributions? I don't think so, at least as
long as they don't drop Imagemagick completely. If for instance Debian
has to take care of Imagemagick security issues anyway, why shouldn't
Emacs link to it?

But that's just my guess...

-David




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33587; Package emacs. Full text available.

Message received at 33587 <at> debbugs.gnu.org:


Received: (at 33587) by debbugs.gnu.org; 3 Dec 2018 21:09:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 03 16:09:29 2018
Received: from localhost ([127.0.0.1]:59542 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gTvT7-0008Dj-5p
	for submit <at> debbugs.gnu.org; Mon, 03 Dec 2018 16:09:29 -0500
Received: from mail-wm1-f49.google.com ([209.85.128.49]:39810)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>) id 1gTvT5-0008DT-87
 for 33587 <at> debbugs.gnu.org; Mon, 03 Dec 2018 16:09:28 -0500
Received: by mail-wm1-f49.google.com with SMTP id f81so4753148wmd.4
 for <33587 <at> debbugs.gnu.org>; Mon, 03 Dec 2018 13:09:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20161025;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:in-reply-to:user-agent;
 bh=FBplsJAIwXdPXycXMhvBxJsk/eZ4090ouJfAqYWc04k=;
 b=GmZfqGpVXXCOn8zWRZP0Pvb77ZZFbPchQ2XJK3HWDUYMJmpXoXY7YEK3gOuP8c2/l3
 tJ8+pHWiwtk24s4oxZAohttSwHe0b8Euyl5RKTcYgZEHOmMMjPEDx7W5w2lBylOYjTyd
 GXPwt0h2Y9REWf30T/AuRjHrtCsXxLmhVVE+elYnkxk7tuYp2YwzuJWkwyn8A40a97tg
 A0oKkmB6pjKZREqyr9o4CTwyhYxjZSb7PUsTZTc3Vkyg6fPvgEwiN5Oq5Kx1PiWu3x3m
 nRWfB/ncScfVi31EiGr6D5vyr75Re2x8H14kMS6CBme6I6IukW+e7N77rw/Wt5m4/2Jv
 NBEg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition:in-reply-to:user-agent;
 bh=FBplsJAIwXdPXycXMhvBxJsk/eZ4090ouJfAqYWc04k=;
 b=gfdRado1CZrzyV+bUSPXz6hzd4xtgt/vWCvt+b164TR2FspPjglRYVtfcYQOa4xTBZ
 INlVm66TAwwxWDyzmJpHm4gVHOaPRSsRos+d18AKqlBHmW+Ve0zCDfkvRV4O5CtjnEo+
 EBMjy+kW0nLTQziEPBE8Ixp5dh2I69vU4nOrVXGtX2aiMMBze3umsEQcyo/fnsuZkNKR
 4wuzad73u4eQ2FUh/1sgI4Q7LTjye4aYJMFyZgymFoTWdmTa5hRZRKZZypQZTVwR2045
 qpZBbb0gAiiwESU15zwsTZXdbQdilW7gARQyXEC4H4PEFdpUKPtYoaVfv5qqJz2oC/i6
 ldEw==
X-Gm-Message-State: AA+aEWYHPJQzYN7p+8G/V6JiXtM6zPcIPcX5zIxUy7ZSicWq8YXSc4Zw
 Da7awjtDxi1eXRhXsS+TbYA=
X-Google-Smtp-Source: AFSGD/WD2t509urjzWWpnyuWbHAvXeX6yAT1yoO1QRFJp3/Z6HWHUObIbR9qQDZMqPaAbrKxbXlkCA==
X-Received: by 2002:a1c:f71a:: with SMTP id v26mr7801366wmh.131.1543871360790; 
 Mon, 03 Dec 2018 13:09:20 -0800 (PST)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-c0c6-f0c8-876b-ed70.holly.idiocy.org.
 [2001:8b0:3f8:8129:c0c6:f0c8:876b:ed70])
 by smtp.gmail.com with ESMTPSA id o8sm11422567wrx.15.2018.12.03.13.09.19
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 03 Dec 2018 13:09:19 -0800 (PST)
Date: Mon, 3 Dec 2018 21:09:17 +0000
From: Alan Third <alan@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#33587: [PROPOSED] Default to disabling ImageMagick
Message-ID: <20181203210917.GA3481@HIDDEN>
References: <20181202180919.32270-1-eggert@HIDDEN>
 <874lbvwxmb.fsf@HIDDEN>
 <aeef2945-f479-1de3-510c-a0534fb5239e@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <aeef2945-f479-1de3-510c-a0534fb5239e@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 33587
Cc: 33587 <at> debbugs.gnu.org, Andreas Schwab <schwab@HIDDEN>,
 Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

On Sun, Dec 02, 2018 at 03:51:57PM -0800, Paul Eggert wrote:
> Andreas Schwab wrote:
> > ImageMagick is the only backend that supports scaling.
> 
> Good point, and if we make the change, the scaling issue should be mentioned
> in INSTALL. Perhaps something like the following wording:
> 
> "Although ImageMagick support is disabled by default due to security
> and stability concerns, you can enable it by configuring with
> --with-imagemagick.  ImageMagick is the only backend that supports
> image scaling."

FWIW the NS port on master supports scaling through the NS toolkit,
although there is the problem that most lisp code that wants to scale
checks exclusively for imagemagick support.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33587; Package emacs. Full text available.

Message received at 33587 <at> debbugs.gnu.org:


Received: (at 33587) by debbugs.gnu.org; 3 Dec 2018 19:40:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 03 14:40:29 2018
Received: from localhost ([127.0.0.1]:59441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gTu4z-0005ne-Jw
	for submit <at> debbugs.gnu.org; Mon, 03 Dec 2018 14:40:29 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37261)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1gTu4x-0005nP-Pw
 for 33587 <at> debbugs.gnu.org; Mon, 03 Dec 2018 14:40:27 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1gTu4q-0004vk-MS
 for 33587 <at> debbugs.gnu.org; Mon, 03 Dec 2018 14:40:22 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34304)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1gTu4g-0004fJ-Mc; Mon, 03 Dec 2018 14:40:12 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1gTu4g-0005P7-J6; Mon, 03 Dec 2018 14:40:10 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#33587: [PROPOSED] Default to disabling ImageMagick
References: <20181202180919.32270-1-eggert@HIDDEN>
 <4qo9a2xwb6.fsf@HIDDEN>
 <337cfdfd-a23d-86ad-a144-995267bd8690@HIDDEN>
X-Spook: AVIP PLO Al Qaeda Arabian Peninsula Cartel de Golfo Cyber
X-Ran: N:T*t|Bhz)otV*-m:r~9>+TnDWMw2EY`t{h>[.&C11m;3*A06BdJs@HIDDEN}tMrCA.Tday
X-Hue: green
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 03 Dec 2018 14:40:10 -0500
In-Reply-To: <337cfdfd-a23d-86ad-a144-995267bd8690@HIDDEN> (Paul Eggert's
 message of "Mon, 3 Dec 2018 11:35:06 -0800")
Message-ID: <8ozhtm8kmd.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33587
Cc: 33587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Paul Eggert wrote:

> On 12/3/18 11:08 AM, Glenn Morris wrote:
>> A related alternative would be to lower the priority of the ImageMagick
>> backend. At the moment, visiting eg a png image uses ImageMagick rather
>> than libpng if both are linked in.
>
> If this alternative is taken and the user requests scaling, presumably
> the ImageMagick library would need to be used anyway since it can
> scale and libpng can't.

Sure. I mean, make use of ImageMagick require an explicit request, for
uses that might need those features (eww?), rather than just happening
by default like it does now.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33587; Package emacs. Full text available.

Message received at 33587 <at> debbugs.gnu.org:


Received: (at 33587) by debbugs.gnu.org; 3 Dec 2018 19:35:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 03 14:35:16 2018
Received: from localhost ([127.0.0.1]:59437 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gTtzw-0005cV-0Y
	for submit <at> debbugs.gnu.org; Mon, 03 Dec 2018 14:35:16 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:40602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1gTtzu-0005cG-An
 for 33587 <at> debbugs.gnu.org; Mon, 03 Dec 2018 14:35:14 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 3756A16010E;
 Mon,  3 Dec 2018 11:35:08 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 6FPFCYwm-k61; Mon,  3 Dec 2018 11:35:07 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 7F61316027E;
 Mon,  3 Dec 2018 11:35:07 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 2y1nYaW0PW0P; Mon,  3 Dec 2018 11:35:07 -0800 (PST)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 4E09D16020E;
 Mon,  3 Dec 2018 11:35:07 -0800 (PST)
Subject: Re: bug#33587: [PROPOSED] Default to disabling ImageMagick
To: Glenn Morris <rgm@HIDDEN>
References: <20181202180919.32270-1-eggert@HIDDEN>
 <4qo9a2xwb6.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=eggert@HIDDEN; prefer-encrypt=mutual; keydata=
 xsFNBEyAcmQBEADAAyH2xoTu7ppG5D3a8FMZEon74dCvc4+q1XA2J2tBy2pwaTqfhpxxdGA9
 Jj50UJ3PD4bSUEgN8tLZ0san47l5XTAFLi2456ciSl5m8sKaHlGdt9XmAAtmXqeZVIYX/UFS
 96fDzf4xhEmm/y7LbYEPQdUdxu47xA5KhTYp5bltF3WYDz1Ygd7gx07Auwp7iw7eNvnoDTAl
 KAl8KYDZzbDNCQGEbpY3efZIvPdeI+FWQN4W+kghy+P6au6PrIIhYraeua7XDdb2LS1en3Ss
 mE3QjqfRqI/A2ue8JMwsvXe/WK38Ezs6x74iTaqI3AFH6ilAhDqpMnd/msSESNFt76DiO1ZK
 QMr9amVPknjfPmJISqdhgB1DlEdw34sROf6V8mZw0xfqT6PKE46LcFefzs0kbg4GORf8vjG2
 Sf1tk5eU8MBiyN/bZ03bKNjNYMpODDQQwuP84kYLkX2wBxxMAhBxwbDVZudzxDZJ1C2VXujC
 OJVxq2kljBM9ETYuUGqd75AW2LXrLw6+MuIsHFAYAgRr7+KcwDgBAfwhPBYX34nSSiHlmLC+
 KaHLeCLF5ZI2vKm3HEeCTtlOg7xZEONgwzL+fdKo+D6SoC8RRxJKs8a3sVfI4t6CnrQzvJbB
 n6gxdgCu5i29J1QCYrCYvql2UyFPAK+do99/1jOXT4m2836j1wARAQABzSBQYXVsIEVnZ2Vy
 dCA8ZWdnZXJ0QGNzLnVjbGEuZWR1PsLBfgQTAQIAKAUCTIByZAIbAwUJEswDAAYLCQgHAwIG
 FQgCCQoLBBYCAwECHgECF4AACgkQ7ZfpDmKqfjRRGw/+Ij03dhYfYl/gXVRiuzV1gGrbHk+t
 nfrI/C7fAeoFzQ5tVgVinShaPkZo0HTPf18x6IDEdAiO8Mqo1yp0CtHmzGMCJ50o4Grgfjlr
 6g/+vtEOKbhleszN2XpJvpwM2QgGvn/laTLUu8PH9aRWTs7qJJZKKKAb4sxYc92FehPu6FOD
 0dDiyhlDAq4lOV2mdBpzQbiojoZzQLMQwjpgCTK2572eK9EOEQySUThXrSIz6ASenp4NYTFH
 s9tuJQvXk9gZDdPSl3bp+47dGxlxEWLpBIM7zIONw4ks4azgT8nvDZxA5IZHtvqBlJLBObYY
 0Le61Wp0y3TlBDh2qdK8eYL426W4scEMSuig5gb8OAtQiBW6k2sGUxxeiv8ovWu8YAZgKJfu
 oWI+uRnMEddruY8JsoM54KaKvZikkKs2bg1ndtLVzHpJ6qFZC7QVjeHUh6/BmgvdjWPZYFTt
 N+KA9CWX3GQKKgN3uu988yznD7LnB98T4EUH1HA/GnfBqMV1gpzTvPc4qVQinCmIkEFp83zl
 +G5fCjJJ3W7ivzCnYo4KhKLpFUm97okTKR2LW3xZzEW4cLSWO387MTK3CzDOx5qe6s4a91Zu
 ZM/j/TQdTLDaqNn83kA4Hq48UHXYxcIh+Nd8k/3w6lFuoK0wrOFiywjLx+0ur5jmmbecBGHc
 1xdhAFHOwU0ETIByZAEQAKaF678T9wyH4wjTrV1Pz3cDEoSnV/0ZUrOT37p1dcGyj/IXq1x6
 70HRVahAmk0sZpYc25PF9D5GPYHFWlNjuPU96rDndXB3hedmBRhLdC4bAXjI4DV+bmdVe+q/
 IMnlZRaVlm9EiMCVAR6w13sReu7qXkW9r3RwY2AzXskp/tAe4BRKr1Zmbvi2nbnQ6epEC42r
 Rbx0B1EhjbIQZ5JHGk24iPT7LdBgnNmos5wYjzwNlkMQD5T0Ydzhk7J+UxwA5m46mOhRDC2r
 FV/A0gm5TLy8DXjv/Esc4gYnYai6SQqnUEVh5LuV8YCJBnijs+Tiw71x1icmn6xGI45EugJO
 gec+rLypYgpVp4x0HI5T88qBRYCkxH3Kg8Qo+EWNA9A4LRQ9DX8njona0gf0s03tocK8kBN6
 6UoqqPtHBnc4eMgBymCflK12eKfd2YYxnyg9cZazWA5VslvTxpm76hbg5oiAEH/Vg/8MxHyA
 nPhfrgwyPrmJEcVBafdspJnYQxBYNco2LFPIhlOvWh8r4at+s+M3Lb26oUTczlgdW1Sf3SDA
 77BMRnF0FQyE+7AzV79MBN4ykiqaezQxtaF1Fy/tvkhffSo8u+dwG0EgJh+te38gTcISVr0G
 IPplLz6YhjrbHrPRF1CN5UuL9DBGjxuN35RLNVEfta6RUFlR6NctTjvrABEBAAHCwWUEGAEC
 AA8FAkyAcmQCGwwFCRLMAwAACgkQ7ZfpDmKqfjSrHA/+KzAKvTxRhA9MWNLxIyJ7S5uJ16gs
 T3oCjZrBKGEhKMOGX4O0GA6VOEryO7QRCCYah3oxSG38IAnNeiwJXgU9Bzkk85UGbPEd7HGF
 /VSeHCQwWou6jqUDTSDvn9YhNTdG0KXPM74aC+xr2Zow1O2mhXihgWKD0Dw+0LYPnUOsQ0KO
 FxHXXYHmRrS1OZPU59BLvc+TRhIhafSHKLwbXK+6ckkxBx6h8z5ccpG0Qs4bFhdFYnFrEieD
 LoGmnE2YLhdV6swJ9VNCS6pLiEohT3fm7aXm15tZOIyzMZhHRSAPblXxQ0ZSWjq8oRrcYNFx
 c4W1URpAkBCOYJoXvQfD5L3lqAl8TCqDUzYxhH/tJhbDdHrqHH767jaDaTB1+Talp/2AMKwc
 XNOdiklGxbmHVG6YGl6g8Lrbsu9NZEI4yLlHzuikthJWgz+3vZhVGyNlt+HNIoF6CjDL2omu
 5cEq4RDHM44QqPk6l7O0pUvN1mT4B+S1b08RKpqm/ff015E37HNV/piIvJlxGAYz8PSfuGCB
 1thMYqlmgdhd9/BabGFbGGYHA6U4/T5zqU+f6xHy1SsAQZ1MSKlLwekBIT+4/cLRGqCHjnV0
 q5H/T6a7t5mPkbzSrOLSo4puj+IToNjYyYIDBWzhlA19avOa+rvUjmHtD3sFN7cXWtkGoi8b
 uNcby4U=
Organization: UCLA Computer Science Department
Message-ID: <337cfdfd-a23d-86ad-a144-995267bd8690@HIDDEN>
Date: Mon, 3 Dec 2018 11:35:06 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.3.1
MIME-Version: 1.0
In-Reply-To: <4qo9a2xwb6.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33587
Cc: 33587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 12/3/18 11:08 AM, Glenn Morris wrote:
> A related alternative would be to lower the priority of the ImageMagick
> backend. At the moment, visiting eg a png image uses ImageMagick rather
> than libpng if both are linked in.

If this alternative is taken and the user requests scaling, presumably 
the ImageMagick library would need to be used anyway since it can scale 
and libpng can't.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33587; Package emacs. Full text available.

Message received at 33587 <at> debbugs.gnu.org:


Received: (at 33587) by debbugs.gnu.org; 3 Dec 2018 19:08:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 03 14:08:42 2018
Received: from localhost ([127.0.0.1]:59416 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gTtaD-0004uv-U4
	for submit <at> debbugs.gnu.org; Mon, 03 Dec 2018 14:08:42 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55542)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1gTtaC-0004uh-Kx
 for 33587 <at> debbugs.gnu.org; Mon, 03 Dec 2018 14:08:40 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1gTta6-0006TJ-TI
 for 33587 <at> debbugs.gnu.org; Mon, 03 Dec 2018 14:08:35 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33412)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1gTta2-0006Qg-3l; Mon, 03 Dec 2018 14:08:30 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1gTta2-0005kl-0W; Mon, 03 Dec 2018 14:08:30 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#33587: [PROPOSED] Default to disabling ImageMagick
References: <20181202180919.32270-1-eggert@HIDDEN>
X-Spook: Bush Wired Osama Basque Separatists CISU Defcon Bomb
X-Ran: gJFjdEfvWu3oI0J8-QrivsJ)]]wW<KrFBrGE[2Mp[9|O<b}Zr.$4)rU-h.VDd~[~4vGN:d
X-Hue: yellow
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 03 Dec 2018 14:08:29 -0500
In-Reply-To: <20181202180919.32270-1-eggert@HIDDEN> (Paul Eggert's
 message of "Sun, 2 Dec 2018 10:09:19 -0800")
Message-ID: <4qo9a2xwb6.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33587
Cc: 33587 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)


I'm a bit surprised by the lack of objections so far, though it's early
days yet of course. Maybe it's an experiment that needs to be tried out
for the implications to be seen.

A related alternative would be to lower the priority of the ImageMagick
backend. At the moment, visiting eg a png image uses ImageMagick rather
than libpng if both are linked in.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33587; Package emacs. Full text available.

Message received at 33587 <at> debbugs.gnu.org:


Received: (at 33587) by debbugs.gnu.org; 2 Dec 2018 23:52:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 02 18:52:07 2018
Received: from localhost ([127.0.0.1]:58502 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gTbWx-0002e9-1o
	for submit <at> debbugs.gnu.org; Sun, 02 Dec 2018 18:52:07 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:40098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1gTbWv-0002dd-0y
 for 33587 <at> debbugs.gnu.org; Sun, 02 Dec 2018 18:52:05 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 0600616009E;
 Sun,  2 Dec 2018 15:51:59 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id FkBBv1v_aX-R; Sun,  2 Dec 2018 15:51:58 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 460231604FC;
 Sun,  2 Dec 2018 15:51:58 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id 8_YaBiQP2zw6; Sun,  2 Dec 2018 15:51:58 -0800 (PST)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 1F07216009E;
 Sun,  2 Dec 2018 15:51:58 -0800 (PST)
Subject: Re: bug#33587: [PROPOSED] Default to disabling ImageMagick
To: Andreas Schwab <schwab@HIDDEN>
References: <20181202180919.32270-1-eggert@HIDDEN>
 <874lbvwxmb.fsf@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <aeef2945-f479-1de3-510c-a0534fb5239e@HIDDEN>
Date: Sun, 2 Dec 2018 15:51:57 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <874lbvwxmb.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33587
Cc: 33587 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Andreas Schwab wrote:
> ImageMagick is the only backend that supports scaling.

Good point, and if we make the change, the scaling issue should be mentioned in 
INSTALL. Perhaps something like the following wording:

"Although ImageMagick support is disabled by default due to security
and stability concerns, you can enable it by configuring with
--with-imagemagick.  ImageMagick is the only backend that supports
image scaling."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33587; Package emacs. Full text available.

Message received at 33587 <at> debbugs.gnu.org:


Received: (at 33587) by debbugs.gnu.org; 2 Dec 2018 19:13:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 02 14:13:22 2018
Received: from localhost ([127.0.0.1]:58367 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gTXBC-0001a5-FX
	for submit <at> debbugs.gnu.org; Sun, 02 Dec 2018 14:13:22 -0500
Received: from mail-out.m-online.net ([212.18.0.10]:50004)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1gTXBB-0001Zx-8I
 for 33587 <at> debbugs.gnu.org; Sun, 02 Dec 2018 14:13:21 -0500
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 437HpR1lQgz1qtG8;
 Sun,  2 Dec 2018 20:13:18 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 437HpQ4P43z1qqkM;
 Sun,  2 Dec 2018 20:13:18 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id sOnc2RGH4ECO; Sun,  2 Dec 2018 20:13:17 +0100 (CET)
X-Auth-Info: ntvq3/RLmIjFuWgu+3klE1sWdPLFE7HgN4kTE1P26LbQ+ZSc/S8ECRV7KaQgvjhq
Received: from igel.home (ppp-188-174-156-194.dynamic.mnet-online.de
 [188.174.156.194])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sun,  2 Dec 2018 20:13:17 +0100 (CET)
Received: by igel.home (Postfix, from userid 1000)
 id AFF7D2C1E85; Sun,  2 Dec 2018 20:13:16 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#33587: [PROPOSED] Default to disabling ImageMagick
References: <20181202180919.32270-1-eggert@HIDDEN>
X-Yow: I want to read my new poem about pork brains and outer space...
Date: Sun, 02 Dec 2018 20:13:16 +0100
In-Reply-To: <20181202180919.32270-1-eggert@HIDDEN> (Paul Eggert's
 message of "Sun, 2 Dec 2018 10:09:19 -0800")
Message-ID: <874lbvwxmb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33587
Cc: 33587 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Dez 02 2018, Paul Eggert <eggert@HIDDEN> wrote:

> +** Emacs no longer defaults to using ImageMagick to display images,
> +due to security and stability concerns.  To override the default, use
> +'configure --with-imagemagick'.

ImageMagick is the only backend that supports scaling.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33587; Package emacs. Full text available.
Added tag(s) security. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33587 <at> debbugs.gnu.org:


Received: (at 33587) by debbugs.gnu.org; 2 Dec 2018 18:17:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 02 13:17:44 2018
Received: from localhost ([127.0.0.1]:58347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gTWJK-0006iZ-Ld
	for submit <at> debbugs.gnu.org; Sun, 02 Dec 2018 13:17:44 -0500
Received: from eggs.gnu.org ([208.118.235.92]:57160)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gTWJJ-0006iM-4p
 for 33587 <at> debbugs.gnu.org; Sun, 02 Dec 2018 13:17:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gTWJ9-00063T-U0
 for 33587 <at> debbugs.gnu.org; Sun, 02 Dec 2018 13:17:35 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33484)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gTWH1-0004wU-9c; Sun, 02 Dec 2018 13:15:19 -0500
Received: from [176.228.60.248] (port=2567 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gTWH0-0007MP-Tb; Sun, 02 Dec 2018 13:15:19 -0500
Date: Sun, 02 Dec 2018 20:15:07 +0200
Message-Id: <83va4baj84.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
In-reply-to: <20181202180919.32270-1-eggert@HIDDEN> (message from Paul
 Eggert on Sun, 2 Dec 2018 10:09:19 -0800)
Subject: Re: bug#33587: [PROPOSED] Default to disabling ImageMagick
References: <20181202180919.32270-1-eggert@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33587
Cc: 33587 <at> debbugs.gnu.org, eggert@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Paul Eggert <eggert@HIDDEN>
> Date: Sun,  2 Dec 2018 10:09:19 -0800
> Cc: Paul Eggert <eggert@HIDDEN>
> 
> From: Paul Eggert <eggert@HIDDEN>
> 
> ImageMagick has continuing stability and security problems, suggesting
> that 'configure' should disable it by default.  See Glenn Morris's notes
> at: https://lists.gnu.org/r/emacs-devel/2018-12/msg00036.html
> * INSTALL, etc/NEWS: Mention this.
> * configure.ac (imagemagick): Default to off.

No objections from me, but let's please wait for a week, to let people
chance to voice objections.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33587; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Dec 2018 18:09:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 02 13:09:44 2018
Received: from localhost ([127.0.0.1]:58336 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gTWBb-0006Vt-7m
	for submit <at> debbugs.gnu.org; Sun, 02 Dec 2018 13:09:43 -0500
Received: from eggs.gnu.org ([208.118.235.92]:54870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1gTWBZ-0006Ve-5U
 for submit <at> debbugs.gnu.org; Sun, 02 Dec 2018 13:09:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eggert@HIDDEN>) id 1gTWBT-0000TS-7f
 for submit <at> debbugs.gnu.org; Sun, 02 Dec 2018 13:09:36 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:56357)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <eggert@HIDDEN>) id 1gTWBT-0000TN-3C
 for submit <at> debbugs.gnu.org; Sun, 02 Dec 2018 13:09:35 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:36231)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eggert@HIDDEN>) id 1gTWBQ-0007Qn-RA
 for bug-gnu-emacs@HIDDEN; Sun, 02 Dec 2018 13:09:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eggert@HIDDEN>) id 1gTWBM-0000R8-0V
 for bug-gnu-emacs@HIDDEN; Sun, 02 Dec 2018 13:09:32 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:45038)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <eggert@HIDDEN>) id 1gTWBL-0000QT-RC
 for bug-gnu-emacs@HIDDEN; Sun, 02 Dec 2018 13:09:27 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 312201600A9
 for <bug-gnu-emacs@HIDDEN>; Sun,  2 Dec 2018 10:09:26 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id ufVCTaJw-_NF; Sun,  2 Dec 2018 10:09:23 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 9C8F4160260;
 Sun,  2 Dec 2018 10:09:23 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id cXkClDPIg1os; Sun,  2 Dec 2018 10:09:23 -0800 (PST)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 79EE01600A9;
 Sun,  2 Dec 2018 10:09:23 -0800 (PST)
From: Paul Eggert <eggert@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: [PROPOSED] Default to disabling ImageMagick
Date: Sun,  2 Dec 2018 10:09:19 -0800
Message-Id: <20181202180919.32270-1-eggert@HIDDEN>
X-Mailer: git-send-email 2.19.2
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
Cc: Paul Eggert <eggert@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

From: Paul Eggert <eggert@HIDDEN>

ImageMagick has continuing stability and security problems, suggesting
that 'configure' should disable it by default.  See Glenn Morris's notes
at: https://lists.gnu.org/r/emacs-devel/2018-12/msg00036.html
* INSTALL, etc/NEWS: Mention this.
* configure.ac (imagemagick): Default to off.
---
 INSTALL      | 4 +++-
 configure.ac | 2 +-
 etc/NEWS     | 4 ++++
 3 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/INSTALL b/INSTALL
index 0c56fff6d4..9696904dce 100644
--- a/INSTALL
+++ b/INSTALL
@@ -294,7 +294,9 @@ or more of these options:
   --without-gif          for GIF image support
   --without-png          for PNG image support
   --without-rsvg         for SVG image support
-  --without-imagemagick  for Imagemagick support
+
+Although ImageMagick support is disabled by default due to security
+and stability concerns, you can enable it with --with-imagemagick.
=20
 Use --without-toolkit-scroll-bars to disable Motif or Xaw3d scroll bars.
=20
diff --git a/configure.ac b/configure.ac
index 8b34c3b658..b70393925a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -354,7 +354,7 @@ AC_DEFUN
 OPTION_DEFAULT_ON([libsystemd],[don't compile with libsystemd support])
 OPTION_DEFAULT_OFF([cairo],[compile with Cairo drawing (experimental)])
 OPTION_DEFAULT_ON([xml2],[don't compile with XML parsing support])
-OPTION_DEFAULT_ON([imagemagick],[don't compile with ImageMagick image su=
pport])
+OPTION_DEFAULT_OFF([imagemagick],[compile with ImageMagick image support=
])
 OPTION_DEFAULT_ON([json], [don't compile with native JSON support])
=20
 OPTION_DEFAULT_ON([xft],[don't use XFT for anti aliased fonts])
diff --git a/etc/NEWS b/etc/NEWS
index 6297d07879..07c6f74c44 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -37,6 +37,10 @@ functions 'json-serialize', 'json-insert', 'json-parse=
-string', and
 'json-parse-buffer' are typically much faster than their Lisp
 counterparts from json.el.
=20
+** Emacs no longer defaults to using ImageMagick to display images,
+due to security and stability concerns.  To override the default, use
+'configure --with-imagemagick'.
+
 ** The etags program now uses the C library's regular expression matcher
 when possible, and a compatible regex substitute otherwise.  This will
 let developers maintain Emacs's own regex code without having to also
--=20
2.19.2





Acknowledgement sent to Paul Eggert <eggert@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#33587; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 10 Jan 2019 23:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.